<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\Event\Lifecycle\Designer;

use PpPhp\Core\Platform\Event\Lifecycle\LifecycleEvent;

final class DesignerOpened extends LifecycleEvent
{
    public function __construct(array $payload = [], array $metadata = [])
    {
        parent::__construct('platform.designer.opened', 'designer', 'opened', 'designer', $payload, $metadata);
    }
}
